3D CAD Import Tool

Use the 3D CAD Import tool to convert a CAD file into a 3D range image. The tool creates a 3D range image based on the surface region shown in the display:

  • The tool supports the STEP and IGES CAD formats

  • The tool saves the 3D range image as a Cognex database (*.cdb) file for use in your VisionPro application.

Importing a CAD File

  1. Choose File->Import and select either the STEP or IGES format:

    The tool opens a dialog box for you to navigate to the desired CAD file.

  2. Select the target CAD file and click Open.

    The tool loads the CAD file and displays it as a wired model, as shown in the following example:

  3. Select View->Solid to switch to a solid view of the object:

Changing the View

The 3D CAD Import tool creates a 3D range image based on the surface region shown in the display.

Use your mouse to pan, zoom and rotate the model in the display:

  • Press and hold the left-click button to pan the model across the display.
  • Spin the mouse wheel to zoom in and out.
  • Press and hold the right-click button to rotate the model around display.

The tool also supports a set of standard views that you can choose from the toolbar or the View menu:

Generating the 3D Range Image

When the CAD Import Tool displays the CAD object in the view you want to convert to a 3D range image, choose Convert->Convert to Range Image.

The tool displays a dialog box showing the resolution of the 3D range image, in millimeters per pixel, along the X and Y axes, along with the width and height of the generated 3D range image at this resolution:

Be aware that the default values generate small 3D range images that do not contain many details about smaller features of your CAD object. Specifying smaller resolution values generate 3D images with greater detail but require more time to process.

When generated, the 3D range image appears in a 3D display:

The 3D Display supports the same mouse controls as the CAD file viewer. Choose RangeImage->Save to save the 3D range image in a Cognex database (*.cdb) file.


Legal Notices

The software described in this document is furnished under license, and may be used or copied only in accordance with the terms of such license and with the inclusion of the copyright notice shown on this page. Neither the software, this document, nor any copies thereof may be provided to, or otherwise made available to, anyone other than the licensee. Title to, and ownership of, this software remains with Cognex Corporation or its licensor. Cognex Corporation assumes no responsibility for the use or reliability of its software on equipment that is not supplied by Cognex Corporation. Cognex Corporation makes no warranties, either express or implied, regarding the described software, its merchantability, non-infringement or its fitness for any particular purpose.

The information in this document is subject to change without notice and should not be construed as a commitment by Cognex Corporation. Cognex Corporation is not responsible for any errors that may be present in either this document or the associated software.

Companies, names, and data used in examples herein are fictitious unless otherwise noted. No part of this document may be reproduced or transmitted in any form or by any means, electronic or mechanical, for any purpose, nor transferred to any other media or language without the written permission of Cognex Corporation.

02/15/2018 4:10 PM

Version: 9.3.0.1

Copyright © xxxx - xxxx. Cognex Corporation. All Rights Reserved.

Portions of the hardware and software provided by Cognex may be covered by one or more U.S. and foreign patents, as well as pending U.S. and foreign patents listed on the Cognex web site at: http://www.cognex.com/patents.

The following are registered trademarks of Cognex Corporation:

Cognex, 2DMAX, Advantage, AlignPlus, Assemblyplus, Check it with Checker, Checker, Cognex Vision for Industry, Cognex VSOC, CVL, DataMan, DisplayInspect, DVT, EasyBuilder, Hotbars, IDMax, In‑Sight, Laser Killer, MVS‑8000, OmniView, PatFind, PatFlex, PatInspect, PatMax, PatQuick, SensorView, SmartView, SmartAdvisor, SmartLearn, UltraLight, Vision Solutions, VisionPro, VisionView

The following are trademarks of Cognex Corporation:

The Cognex logo, 1DMax, 3D‑Locate, 3DMax, BGAII, CheckPoint, Cognex VSoC, CVC‑1000, FFD, iLearn, In‑Sight (design insignia with cross‑hairs), In‑Sight 2000, InspectEdge, Inspection Designer, MVS, NotchMax, OCRMax, PatMax RedLine, ProofRead, SmartSync, ProfilePlus, SmartDisplay, SmartSystem, SMD4, VisiFlex, Xpand

Other product and company trademarks identified herein are the trademarks of their respective owners.


Code Sample

Code samples can be added to topics using the pre paragraph tag and syntax highlighting applied using the pre span character tags within the XML editor. The code maintains the necessary indents and spacing. For more information, refer to: http://doco:91/#HowTo_Topics/Flare/CodeSamples_Add.htm.

<CSIAPIRequest>
   <OfficeData>
      <Service></Service>
      <OfficeUserID></OfficeUserID>
      <OfficePassword></OfficePassword>
      <TraceNumber></TraceNumber>
   </OfficeData>
   <SubscriberData>
      <PartnerNumber></PartnerNumber>
      <SubscriberNumber></SubscriberNumber>
      <ProductID></ProductID>
   </SubscriberData>
</CSIAPIRequest>


Overview Topics

Overview Topic

Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec faucibus risus non lorem bibendum, ut venenatis massa imperdiet. Aenean convallis ligula in magna vestibulum viverra. Duis malesuada libero non cursus convallis. Quisque facilisis, lorem vulputate interdum convallis, est urna accumsan ante, quis auctor sem libero ac nisl. In adipiscing lorem vitae pretium luctus. Donec tristique odio eget tincidunt consectetur. Duis sed erat non sem luctus aliquet ornare et neque. Proin aliquam nibh in orci rhoncus, at mattis tortor euismod. Curabitur orci justo, congue eu quam vitae, sodales laoreet dui.

Mauris quis egestas est, porta dignissim ante. Phasellus ut nisl orci. Ut ut sapien eget purus tristique lacinia. Proin nunc orci, dictum in congue ac, luctus ac nulla. Morbi aliquet sem sit amet neque commodo, quis rhoncus urna mattis. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Curabitur quis suscipit ligula. Sed elementum ipsum sit amet tellus vestibulum, in viverra nisi eleifend. Aliquam lacinia est scelerisque, ornare est vel, tincidunt dui. Mauris dui sapien, suscipit sit amet tempor at, interdum eget turpis. Ut cursus arcu ultricies commodo placerat.

Sed at eros magna. Vestibulum aliquam odio at pharetra feugiat. Cras eu lobortis felis. Nulla neque turpis, vehicula non sodales eu, porttitor at nibh. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Pellentesque consectetur massa a leo interdum, vitae vehicula libero ultricies. Vivamus vel imperdiet enim. Ut non suscipit turpis. Quisque justo libero, eleifend vel vestibulum in, fringilla nec quam. Quisque porttitor tortor eu tincidunt vulputate. Morbi nec sollicitudin mauris.

Fusce lobortis purus fringilla, bibendum ligula a, ullamcorper lorem. Sed vel viverra nunc. Curabitur in eleifend lorem. Pellentesque eget consectetur ligula. Etiam id scelerisque nulla, vel gravida ipsum. Integer pulvinar nec felis vel ultrices. Vestibulum purus nulla, consequat ut diam vel, facilisis facilisis nisi. Vestibulum non velit in magna semper sollicitudin. Curabitur sed turpis posuere, congue lacus commodo, adipiscing erat. Maecenas eu gravida nunc. Phasellus quis lacinia nulla.

Duis eu ullamcorper lorem, vel tincidunt lorem. Praesent ultricies bibendum interdum. Phasellus urna augue, interdum ut ligula ac, rutrum consequat sem. Etiam leo ante, porta ac dui non, bibendum sodales libero. Duis condimentum turpis hendrerit, molestie dui egestas, egestas erat. Suspendisse sit amet orci mi. Nullam tincidunt non dui scelerisque tristique. Proin ornare laoreet sapien, in euismod libero fringilla viverra. Donec non posuere urna. Nam cursus ultrices risus sed ornare.

Duis eu ullamcorper lorem, vel tincidunt lorem. Praesent ultricies bibendum interdum. Phasellus urna augue, interdum ut ligula ac, rutrum consequat sem. Etiam leo ante, porta ac dui non, bibendum sodales libero. Duis condimentum turpis hendrerit, molestie dui egestas, egestas erat. Suspendisse sit amet orci mi. Nullam tincidunt non dui scelerisque tristique. Proin ornare laoreet sapien, in euismod libero fringilla viverra. Donec non posuere urna. Nam cursus ultrices risus sed ornare.


Procedure Topic

  1. Step 1.

  2. Step 2. (This step includes a graphic to provide guidance to the user. The paragraph tag that contains the image is conditionally tagged with the "Image" condition (note the yellow highlighting), for inclusion or exclusion in particular output types.)

  3. Step 3. (This is a mult-level list that includes several sub-steps. Once a list has been added, clicking the TAB key will automatically create a multi-level list.
    1. Sub-step A.
    2. Sub-step B.

  4. Step 4.

    Note: Supplemental information.

  5. Step 5.

    Component Description
  6. Step 6.


Reference Topics

Reference Topic

Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec faucibus risus non lorem bibendum, ut venenatis massa imperdiet.

Component | Description
Connector A | Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec faucibus risus non lorem bibendum, ut venenatis massa imperdiet.
Connector B | Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec faucibus risus non lorem bibendum, ut venenatis massa imperdiet.
Connector C | Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec faucibus risus non lorem bibendum, ut venenatis massa imperdiet.
Connector D | Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec faucibus risus non lorem bibendum, ut venenatis massa imperdiet.
Connector E | Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec faucibus risus non lorem bibendum, ut venenatis massa imperdiet.


Topics

When developing content for your project, you'll need to organize the content into modular "chunks" of information, with clearly labeled and meaningful titles, and related topics linked to one another. Because our topics are modular, and each topic contains chunks of information that aren't read in any particular order, each topic must contain enough information that it can stand on its own. One method for creating modular topics is to divide them up into the three standard categories:

  • Overview Topic This is a footnote. Footnotes are displayed at the bottom of pages in PDF outputs and as pop-up links in web outputs. 1: Provides overview, background or theory of operation information and helps users to understand essential information about a product, task or interface. For more information, refer to Overview Topic.
  • Reference Topic: Describes regular features of a subject or product, such as user interface descriptions, connectors and indicators for a hardware platform, function and parameter descriptions or commands in a programming language. For more information, refer to Reference Topic.
  • Procedure Topic: Provide procedural information, by providing step-by-step instructions for accomplishing a particular task. For more information, refer to Procedure Topic.

All topics should contain an H1 heading. In addition, a separate topic should be created for each heading. For example, if creating a new chapter/section in a hardware manual, you would create a separate topic for the following:

  • Installation (H1)
  • Connectors and Indicators (H1)
  • Install the Lens (H1)
  • Install the Mounting Block (H1)
  • Connect Ethernet and Power (H1)
  • Connect the Power Wires (H1)


Regulations/Conformity

Note: For the most up-to-date CE declaration and regulatory conformity information, please refer to the Cognex online support site: http://www.cognex.com/Support.
Safety and Regulatory
 | <Model Name>: Regulatory Model xxxx
FCC |
KCC |
NRTL | TÜV SÜD AM SCC/NRTL OSHA Scheme for UL/CAN 60950-1.
CB | TÜV SÜD AM, IEC/EN 60950-1.CB report available upon request.
RoHS | Compliant to the latest applicable Directive.


Precautions

Observe these precautions when installing the Cognex product, to reduce the risk of injury or equipment damage:

  • To reduce the risk of damage or malfunction due to over-voltage, line noise, electrostatic discharge (ESD), power surges, or other irregularities in the power supply, route all cables and wires away from high-voltage power sources.
  • Changes or modifications not expressly approved by the party responsible for regulatory compliance could void the user’s authority to operate the equipment.
  • Cable shielding can be degraded or cables can be damaged or wear out more quickly if a service loop or bend radius is tighter than 10X the cable diameter. The bend radius must begin at least six inches from the connector.
  • This device is a business-use (Class A) EMC-compliant device. The seller and user are advised to be aware of this fact. This device is intended for use in areas outside the home.
  • This device should be used in accordance with the instructions in this manual.
  • All specifications are for reference purpose only and may be changed without notice.


Symbols

The following symbols indicate safety precautions and supplemental information.

WARNING: This symbol indicates the presence of a hazard that could result in death, serious personal injury or electrical shock.
CAUTION: This symbol indicates the presence of a hazard that could result in property damage.
Note: Notes provide supplemental information about a subject.
Tip: Tips provide helpful suggestions and shortcuts that may not otherwise be apparent.


Changing the View

The 3D CAD Import tool creates a 3D range image based on the surface region shown in the display.

Use your mouse to pan, zoom and rotate the model in the display:

  • Press and hold the left-click button to pan the model across the display.
  • Spin the mouse wheel to zoom in and out.
  • Press and hold the right-click button to rotate the model around display.

The tool also supports a set of standard views that you can choose from the toolbar or the View menu:

  • Front
  • Back
  • Top
  • Bottom
  • Left
  • Right


Converting the CAD File

When the CAD Import Tool displays the CAD object in the view you want to convert to a 3D range image, choose Convert->Convert to Range Image.

The tool displays a dialog box showing the resolution, in millimeters, of the resulting 3D range image along the X and Y axes, along with the width and height of the generated 3D range image at this resolution:

Be aware that the default values generate small 3D range images that do not contain details about smaller features of your CAD object. Specifying smaller resolution values generate 3D images with greater detail but require more time to process.

When generated, the 3D range image appears in a 3D display:

The 3D Display supports the same mouse controls as the CAD file viewer, as described in the topic Changing the View.

Choose RangeImage->Save to save the 3D range image in a Cognex database (*.cdb) file.


Importing a CAD File

  1. Choose File->Import and select either the STEP or IGES format:

    The tool opens a dialog box for you to navigate to the desired CAD file.

  2. Select the target CAD file and click Open.

    The tool loads the CAD file and displays it as a wired model, as shown in the following example:

  3. Select View->Solid to switch to a solid view of the object:


Standard Views

The tool supports a set of standard views that you can choose from the toolbar or the View menu :

Front
Back
Top
Bottom
Left
Right